body,
select,
textarea{	
	font-family: sans-serif, Arial, Helvetica Neue, Helvetica, sans-serif;
	color: teal;
	font-weight: 100;
	font-size: 16px;
}

.sivu {	
	max-width: 1200px;
	position: relative;
	margin: auto;
    border: 0px solid #D4D4D6;
	overflow: hidden;
}


.kehys .sisaltokehys {
    /* sivun muuttuva alue */
    border: 2px solid teal;
	padding: 10px;
}

.kehys {
/*    border: 0px solid gray;*/
    max-width: 980px;
    min-width: 100px;
    position: center;
    margin-left: 2px;
    padding: 1px;
}

.img-fluid {
	padding: 8px;
	max-height: 140px;
}

#ylareuna {
	background-color: white;
	max-height: 240px;
	margin-top: 0px;
	border-bottom: 5px solid teal;
}

.menurivi {
	margin-left: 10px;
    max-width: 800px;
    text-align: right;
}

.otsikko {
    font-weight: bold;
    font-size: large;
    font-weight: bold;
    /*background-color: #efeeec;
    color: #3c3c3c;*/
}

.otsikkovahva {
    font-weight: bold;
    font-size: larger;
    background-color: #efeeec;
    color: #3c3c3c;
}
.vahvistusaika {
    background-color: #efeeec;
	color: #3c3c3c;
    border-style: none;   
	padding: 6px;
}

label[for$='_cbVahvistus'],label[for$='_cbMuistutus']{
    padding-left: 5px;
    white-space: nowrap;
} 

.syotto {
	color: #3c3c3c;
	background-color: white;
	margin-left: 10px;
	border-radius: 4px 4px;
}

.keski {
    margin-left: 0px
}

.pudotusvalikko {
    width: 200px;
    font-weight: normal;
    background-color: white;
    color: black;
    margin-left: 10px;
}

.labelIlmoitus {
	color: #505050;
	max-width: 90%;
	min-width: 100px;
	font-weight: bolder;
	text-align: left;
	font-size: smaller;
	margin: 10px;
    
}
.ilmobox {
	background-color: white;
	border-style: solid;
	border-width: thick;
	border-color: #008d9f;
	padding: 5px;
}
.labelHuomautus {
	/*color: #505050;*/
	font-weight: normal;
	padding: 5px;
	padding-bottom: 0px;
	margin: 15px;
}

.labelHuomautusKesk {
	color: #505050;
	font-weight: normal;
	font-size: 1.2em;
	text-align: center;
	min-width: inherit;
	padding: 4px;
}
/* pbNappula-tyylit perityv�t t�st� luokasta */
[class*="pbNappula"] {
    margin: 4px;
    min-width: 165px;
    background-color: teal;
    color: white;
	border: 3px solid teal;
	border-radius: 10px;
	padding: 12px 6px 12px 6px;
	font-size: large;
	/* box-shadow: 2px 2px 4px rgba(0,0,0,0.5); */
    align-self: flex-end;
}

.pbNappulaMenuLippu {
    border: solid 1px transparent !important ;
    background-color: transparent;
}

.pbNappulaMenuLippu:hover {
	border: solid 1px teal !important;
    background-color: transparent !important;
}

/* vap.ajat taulukon nappula */
.pbNappula {
    margin: 5px;
    min-width: 120px;
}

.pbNappula:hover {
    border-color: teal;
    background-color: rgba(63, 108, 111, .8)
}

.pbNappulaIso {
	font-size: large;
	margin: 10px;
	max-width: 470px;
}

.pbNappulaIso:hover {
    border-color: teal;
    background-color: rgba(63, 108, 111, .8);
}

.pbNappulaMenu {
    margin: 6px;
    min-width: 30px;   
}

.pbNappulaMenu:hover {
    border-color: teal;
    background-color: rgba(63, 108, 111, .8);
}


.pbNappulaMiksi {
	margin: 4px;
	background-color: teal;
	color: white;
	padding: 12px 6px 12px 6px;
	align-self: flex-end;
	min-width: 230px;
	border: 3px solid teal;
}

.pbNappulaMiksi:hover {
    border-color: teal;
    background-color: rgba(63, 108, 111, .8)
	/* box-shadow: 3px 3px 4px rgba(0,0,0,0.5); */
}

.pbNappulaMiksiValittu {
    background-color: rgba(63, 108, 111, .8);
	margin: 4px;
	color: white;
	padding: 12px 6px 12px 6px;
	align-self: flex-end;
	min-width: 230px; 
	font-weight: bold;
	border: 3px solid teal;
 
}

.pbNappulaMiksiKamp {
    color: gold;
    font-style: italic;
    font-weight: bold;
    border-style: solid;
 }

.tpteksti {
    min-width: 300px;
    font-size: xx-large;
	padding: 6px;
    background-color: #5697D1;
    color: #FFFFFF;
    border-style: solid;
    border-color: #5697D1;
    align-self: center;
}


.pbNappulaVid {
	margin: 4px;
	min-width: 200px;
	background-color: teal;
	color: white;
	padding: 12px 6px 12px 6px;
	align-self: flex-end;
	border: 3px solid teal;
}

.pbNappulaVid:hover {
    background-color: rgba(63, 108, 111, .8);
	border: 3px solid teal;
	/* box-shadow: 3px 3px 4px rgba(0,0,0,0.5); */
}

.pbNappulaVidValittu {
    background-color: rgba(63, 108, 111, .8);
	margin: 4px;
	color: white;
	padding: 12px 6px 12px 6px;
	align-self: flex-end;
	min-width: 200px;
	border: 3px solid teal;
	font-weight: bold;
}

.pbNappulaAnonyymi {
    /* suoraan vaipaiden aikojen katseluun */
	vertical-align: middle;
	font-weight: bold;
	min-width: 100px;
	max-width: 75%;
	margin: auto;
	margin-top: 0px;
    background-color: teal;
    color: white;
	border: 3px solid teal;
	border-radius: 10px;
	padding: 12px;
	/* box-shadow: 3px 3px 4px rgba(0,0,0,0.5); */
}

.pbNappulaAnonyymi:hover {
    border-color: teal;
    background-color: rgba(63, 108, 111, .8)
  }

/* toimipistevalintanappulat */
.pbEiValittu {
	margin: 5px;
	min-width: 150px;
	background-color: #2EDAE8;
	color: #FFFFFF;
	border: 0px solid white;
	border-radius: 25px;
	padding: 6px;
}

.pbEiValittu:hover {
	background-color: #008d9f;
}

.pbValittu {
    margin: 5px;
    min-width: 150px;
    background-color: #5697D1;
    color: #FFFFFF;
    border-radius: 25px;
    padding: 6px;
}
.pbValittu:hover {
	background-color: rgba(63, 108, 111, .8);
}

.txtotsikko {
    font-weight: bold;
    font-size: x-large;
    text-transform: uppercase;
    color: buttontext;
    background-color: #505050;
    border-top-style: none;
    border-right-style: none;
    border-left-style: none;
    border-bottom-style: none;
}

.yritys {
    font-weight: bold;
    font-size: 20px;
    font-family: 'Comic Sans MS', Sans-Serif;
}

.varaaja {
    font-size: x-small;
    font-Weight: bold;
    text-align: right;
    /*width: 590px;*/
}

.labelError {
    color: white;
    background-color: red;
}

.nappularivi {
    vertical-align: middle;
    position: absolute;
    right: 5px;
}

.alareuna {
	margin-top: 20px;
	padding: 15px;
	vertical-align: middle;
	text-align: center;
	font-size: small;
	margin: 0px;
	width: 100%;
    border-top: 5px solid teal;
    border-bottom: 2px solid teal;
	/*color: #efeeec;
	background-color: #008d9f;	*/
}

.av_otsikko {
    font-size: larger;
    color: gray;
    font-family: Verdana, Sans-Serif;
}

.pbInfo {
    font-size: small
}


.roundedPanel {
    width: 300px;
    background-color: red;
    color: white;
    font-weight: bold;
}

.lisatietoikkuna {
    background-color: White;
    color: Black;
}

/*Omat varaukset -sivu*/
table.mGrig input.pbNappula {
    border-radius: 0;
}

/*  kalenterin tyylit */

.kalenteri {
    background-color: white;
    width: 250px;
    color: black;
}

.kalenteriTanaan {
    background-color: #e0fcff !important ;
    width: 250px;
    color: black;
}

table.kalenteri a[style='color:#CCFF99']{
    color:teal !important;
}

.kalenteri a {
    text-decoration: none;
}

.kalenteri .kalenteriTitle {
    font-weight: bold;
    background-color: #cec9c9;
}

.kalenteri .kalenteriNextPrev {
    text-align: center;
}

    .kalenteri td.kalenteriSelector {
          background-color: #67B7C3;
    }

.kalenteri .kalenteriDay a,
.kalenteri .kalenteriSelector a,
.kalenteri .kalenteriNextPrev a {
    display: block;
    line-height: 18px;
}


/* --- gridin tyyli */

.mGrid {
    max-width: 1000px;
    background-color: #fff;
    border: solid 1px #525252;
}

.mGrid td {
    padding: 2px;
    border: solid 1px #c1c1c1;
    color: Black;
}


/* otsikko */

.mGrid th {
    padding: 4px 2px;
    color: #fff;
    background: rgba(63, 108, 111, .8);
    border-left: solid 1px #525252;
}

.mGrid .alt {
    background: #efebeb;
}

.mGrid .pgr {
    background: #dddddd;
}

.mGrid .pgr table {
    margin: 5px 0;
}

.mGrid .pgr td {
    border-width: 0;
    padding: 0 6px;
    border-left: solid 1px #666;
    font-weight: bold;
    color: #fff;
    line-height: 12px;
}

.mGrid .pgr a {
    color: #666;
    text-decoration: none;
}

.mGrid .pgr a:hover {
    color: aqua;
    text-decoration: none;
}

.Pikahaku {
    border-width: initial;
    border: solid;
    font-weight: normal;
    color: cornflowerblue;
    display: flex;
    align-items: center;
    justify-content: center;
 }

.piilo {
    width: 1px;
    font-size: xx-small;
    padding: 0px;
    border:none;
    color: white;
}

/* varauksen tiedot taulukko*/
.varaustxt {
    font-weight: normal;
    font-size: inherit;
    font-family: Monospace, 'Courier New';
}

.vahvistusaikaArvo {
    font-weight: bold;
    font-size: larger;
    padding: 10px;
}

.card-image-right {
	margin-top: 20px;
	
	
}

.card-footer {
    background-color: inherit;
    border: none;
}

#vapaa {
	padding: 8px;
	margin-bottom: 10px;
	background-color: white;
	color: #008d9f;
}
#Pikahaku {
	visibility: hidden;
}
#PikahakuXX {
	margin-top: 20px;
}